xserver: Branch 'master' - 2 commits

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Fri Oct 4 08:45:52 UTC 2019


 .gitlab-ci.yml                             |    3 ++
 .gitlab-ci/manpages-check                  |   33 +++++++++++++++++++++++++++++
 hw/xfree86/drivers/modesetting/Makefile.am |    8 +------
 3 files changed, 38 insertions(+), 6 deletions(-)

New commits:
commit a505ecba1048048c168472e4b4a92c13f92b0613
Author: Sven Joachim <svenjoac at gmx.de>
Date:   Fri Oct 4 10:29:31 2019 +0200

    gitlab-ci: Add a manpage substitutions regression test
    
    This catches the broken manpages in the autoconf build which appeared
    after commit 2e497bf887ac ("man: s/__/@/g") and were only partly
    rectified by commit 0445705a8bbf ("man: Fix automake seddery").
    
    Reviewed-by: Michel Dänzer <mdaenzer at redhat.com>

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 1a3a479cd..0aa4f874b 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -73,6 +73,8 @@ autotools-build-and-test:
         - ../autogen.sh --prefix=/usr
         - make -j$(nproc) distcheck
         - PIGLIT_DIR=/root/piglit XTEST_DIR=/root/xts make -j$(nproc) check
+        - cd ..
+        - .gitlab-ci/manpages-check
 
 meson-build-and-test:
     extends: .common-build-and-test
@@ -83,3 +85,4 @@ meson-build-and-test:
         - meson -Dprefix=/usr -Dxephyr=true build/
         - ninja -C build/ install
         - ninja -C build/ test
+        - .gitlab-ci/manpages-check
diff --git a/.gitlab-ci/manpages-check b/.gitlab-ci/manpages-check
new file mode 100755
index 000000000..cf2b15349
--- /dev/null
+++ b/.gitlab-ci/manpages-check
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+find build/ -regex ".*\.[1-9]$" -exec grep -E \
+ at vendorversion@\|\
+ at xorgversion@\|\
+ at xservername@\|\
+ at xconfigfile@\|\
+ at projectroot@\|\
+ at apploaddir@\|\
+ at appmansuffix@\|\
+ at drivermansuffix@\|\
+ at adminmansuffix@\|\
+ at libmansuffix@\|\
+ at miscmansuffix@\|\
+ at filemansuffix@\|\
+ at logdir@\|\
+ at datadir@\|\
+ at mandir@\|\
+ at sysconfdir@\|\
+ at xconfigdir@\|\
+ at xkbdir@\|\
+ at XKB_DFLT_RULES@\|\
+ at XKB_DFLT_MODEL@\|\
+ at XKB_DFLT_LAYOUT@\|\
+ at XKB_DFLT_VARIANT@\|\
+ at XKB_DFLT_OPTIONS@\|\
+ at bundle_id_prefix@\|\
+ at modulepath@\|\
+ at suid_wrapper_dir@\|\
+ at default_font_path@\
+ '{}' + && { echo "Missing manpage substitutions detected!" >&2 ; exit 1; }
+
+exit 0
commit de0d39f825cce7422986011ee9d5db91f15e2987
Author: Sven Joachim <svenjoac at gmx.de>
Date:   Wed Oct 2 18:26:07 2019 +0200

    modesetting: Fix broken manpage in autoconf build
    
    The autoconf build for the modesetting driver still relied on
    xorg-macros.m4 for string replacements and did not include the
    top-level manpages.am.  As a result, no substitutions took place after
    commit 2e497bf887aca832dc0dd30d071c5288ab5c1e15.
    
    This should be a candidate for the 1.20 branch.
    
    Reviewed-by: Michel Dänzer <mdaenzer at redhat.com>

diff --git a/hw/xfree86/drivers/modesetting/Makefile.am b/hw/xfree86/drivers/modesetting/Makefile.am
index e0411ef51..961c57408 100644
--- a/hw/xfree86/drivers/modesetting/Makefile.am
+++ b/hw/xfree86/drivers/modesetting/Makefile.am
@@ -24,6 +24,8 @@
 # _ladir passes a dummy rpath to libtool so the thing will actually link
 # TODO: -nostdlib/-Bstatic/-lgcc platform magic, not installing the .a, etc.
 
+include $(top_srcdir)/manpages.am
+
 AM_CFLAGS = $(DIX_CFLAGS) $(XORG_CFLAGS) $(LIBDRM_CFLAGS) $(UDEV_CFLAGS) $(CWARNFLAGS)
 
 AM_CPPFLAGS = \
@@ -62,9 +64,3 @@ driverman_DATA = $(driverman_PRE:man=@DRIVER_MAN_SUFFIX@)
 EXTRA_DIST = modesetting.man
 
 CLEANFILES = $(driverman_DATA)
-
-# String replacements in MAN_SUBSTS now come from xorg-macros.m4 via configure
-SUFFIXES = .$(DRIVER_MAN_SUFFIX) .man
-
-.man.$(DRIVER_MAN_SUFFIX):
-	$(AM_V_GEN)$(SED) $(MAN_SUBSTS) < $< > $@


More information about the xorg-commit mailing list